commit 826a1788778a6655a25b7d157ff4000531b9a215
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Tue Nov 4 12:46:33 2025 +0000

        Unbreak Solaris build
    
        Broken-by: dea05068da8c

diff --git a/src/src/exim_dbmbuild.c b/src/src/exim_dbmbuild.c
index 02754d0ee..99ea5c826 100644
--- a/src/src/exim_dbmbuild.c
+++ b/src/src/exim_dbmbuild.c
@@ -71,6 +71,9 @@ string_format_trc(uschar * buf, int len, const uschar * func, unsigned line,
 void
 log_write(unsigned int selector, int flags, const char *format, ...)
 { }
+const uschar * parse_find_address_end_gen(const uschar * s, BOOL b)
+{return NULL; }
+
 
 
 struct global_flags	f;
diff --git a/src/src/exim_dbutil.c b/src/src/exim_dbutil.c
index 339d022bb..cd98ff053 100644
--- a/src/src/exim_dbutil.c
+++ b/src/src/exim_dbutil.c
@@ -77,6 +77,8 @@ BOOL
 string_format_trc(uschar * buf, int len, const uschar * func, unsigned line,
   const char * fmt, ...)
 { return FALSE; }
+const uschar * parse_find_address_end_gen(const uschar * s, BOOL b)
+{return NULL; }
 
 struct global_flags	f;
 unsigned int		log_selector[1];

